Xcode cannot run using the selected device.

Xcode cannot run using the selected device.

No provisioned iOS devices are available with a compatible iOS version. Connect an iOS device with a recent enough version of iOS to run your application or choose an iOS simulator as the destination.

 Cocos2d-x 구버전으로 만들어진 게임을 오랜만에 빌드 후 디바이스에 넣으려고 하니 위와 같은 오류가 발생했습니다.

 프로젝트 - General - Deployment Info - Deployment Target의 버전을 Build Settings에 있는 Base SDK 버전보다 낮게 설정하면 된다지만 이미 그리 세팅된 상태였습니다.

 다른 방법으로 Organizer에서 해당 디바이스를 선택 후 Restore using iTunes를 누르면 된다는데 저는 Use for Development을 누르니 되더군요.


 To add this device, select a Development Team to use for provisioning 팝업창에서 디바이스를 추가할 개발자를 선택하고 Choose를 누르면 됩니다. 디바이스 옆에 아이콘도 전엔 회색이더만 녹색으로 되네요.


 Scheme에서 iOS Device로만 보이던 것이 제대로 보이네요. 폰에도 잘 들어가구요.

이 블로그의 인기 게시물

CMake Windows에 설치하기

'xxx.exe' 프로그램을 시작할 수 없습니다. 지정된 파일을 찾을 수 없습니다.

Unity3D 안드로이드 Keystore 생성하기